Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77940 - internet-druid fails to load
Summary: internet-druid fails to load
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: internet-config
Version: 7.3
Hardware: i686
OS: Linux
high
high
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-15 18:04 UTC by Need Real Name
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-26 20:36:52 UTC


Attachments (Terms of Use)

Description Need Real Name 2002-11-15 18:04:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; Linux 2.4.18-17.7.x i686)

Description of problem:
The program crashes as soon as it starts

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. execute internet-druid
2. provide super-user password

	

Actual Results:  it crashes immediately

Additional info:

Traceback (innermost last):
  File "/usr/sbin/internet-druid", line 1400, in ?
    window = mainDialog('druid')
  File "/usr/sbin/internet-druid", line 238, in __init__
    if modus == 'druid': self.on_deviceAddButton_clicked(None)
  File "/usr/sbin/internet-druid", line 473, in on_deviceAddButton_clicked
    interface = NewInterfaceDialog()
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/gui/NewInterfaceDialog.py",
 line 82, in __init__
    iface = iface_creator (self.toplevel, do_save = None, druid = self.druid)
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/gui/EthernetInterface.py", 
line 101, in __init__
    self.hwDruid = ethernetHardware(self.toplevel)
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/gui/EthernetHardwareDruid.p
y", line 64, in __init__
    self.setup()
  File
"/usr/sbin/../share/redhat-config-network/netconfpkg/gui/EthernetHardwareDruid.p
y", line 118, in setup
    list.append(modInfo[i]['description'])
KeyError: description

Local variables in innermost frame:
modInfo: <netconfpkg.Conf.ConfModInfo instance at 84da718>
list: ['RealTek RTL8129', 'Raytheon Raylink/WebGear/Aviator PCMCIA wireless',
'SMC Ultr
a32 EISA', 'DEC 21*40 and clones', 'Lucent Orinoco/Melco PCMCIA wireless
(alternate)', 
'SMC 91c92 series PCMCIA', 'Aironet 4500 PCI-ISA-i365 wireless', 'Intel
EtherExpress/10
00', 'PCI NE2000 clones', 'MiCom-Interlan NI5010', '3Com 3c515 Corkscrew', 'SMC
83c170 
EPIC/100', 'NI5210 ethernet', 'AT1500, HP J2405A, most NE2100/clone', 'MyriCOM
MyriNET 
SBUS', '3Com EtherLink16', 'AT&T/Lucent/Hitachi ISA WaveLAN', 'SiS 900/7016CI',
'Cablet
ron E2100', 'NE1000, NE2000, and compatible', 'Intel EtherExpress Pro 100B',
'Allied Te
lesis AT1700', 'Greenwigh GIrBIL IrDA', 'Older DEC 21040, most 21*40', 'NSC
IrDA', 'Sun
 Quad', 'ICL EtherTeam 16i/32 EISA', '3Com 3c590/3c595/3c90x/3cx980', '3Com
3c589 serie
s PCMCIA', 'Sun BigMac', 'ThunderLAN', '3Com 3c574 series PCMCIA', 'Ansel
Communication
s Model 3200', 'Aironet 4500 PCMCIA wireless', 'Xircom CBE-100 CardBus',
'General Instr
uments SB1000']
self: <netconfpkg.gui.EthernetHardwareDruid.ethernetHardware instance at
85458c0>
i: defxx

Comment 1 Michael Schwendt 2002-11-23 22:51:48 UTC
Same as bug #76446?


Comment 2 Peter Janes 2002-11-26 20:36:45 UTC
I had exactly the same effect (same environment).

Comment 3 Ngo Than 2002-11-26 23:27:38 UTC
as i know, it's fixed in redhat-config-network-1.0.3-1, which ill be released as
errata soon.
You also find it in
ftp://people.redhat.com/harald/redhat-config-network/1.0.3-1/i386/


Note You need to log in before you can comment on or make changes to this bug.